Bug 489249 - <programlisting> in <example> doesn't break over pages in PDF
<programlisting> in <example> doesn't break over pages in PDF
Status: CLOSED CANTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 01:33 EDT by Darrin Mison
Modified: 2010-11-23 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 00:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2009-03-09 01:33:15 EDT
Description of problem:
The <programlisting>tag doesn't split at page breaks if it is contained in an <example>, it moves onto the next page (same behaviour as an image) if the content is less than one page.  If the programlisting content is more than one page it runs off the bottom of the first page and disappears.

Version-Release number of selected component (if applicable):
0.42

How reproducible:
everytime

Steps to Reproduce:
1.  add a <example><programlisting>...</programlisting></example> near the bottom of the page so you would expect it to run onto the next page
2. build the pdf

Actual results:
Whole content is displayed on the 2nd page.

Expected results:
The content is split over the two pages.

Steps to Reproduce:
1.  add a <example><programlisting>...</programlisting></example> near the bottom of the page so you would expect it to run onto the next page and the one after
2. build the pdf

Actual results:
The content runs off the bottom of the first page.

Expected results:
The content is split over the multiple pages.

Additional info: 
I've only seen this with <programlisting> but suspect it would also do it with other content.
Comment 1 Jeff Fearn 2009-03-25 00:37:46 EDT
This is a limitation of FOP. You will need to pull the programlisting outside the example.

Note You need to log in before you can comment on or make changes to this bug.